WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: WordPress Firewall] Error Whitelisting IP (10 posts)

  1. prcheney
    Member
    Posted 3 years ago #

    When I enter my IP into the whitelisted ip's field I get this error:

    Warning: unserialize() expects parameter 1 to be string, array given in .../wp-content/plugins/wordpress-firewall/wordpress-firewall.php on line 625

    Any help would be much appreciated.

    -paul

  2. pavy
    Member
    Posted 3 years ago #

    I have a fix for this issue (and another one). I'm trying to get it uploaded to the WordPress Plugins now. I'll post back here when it's available. It's the same plugin, just with a few fixes for these errors.

  3. prcheney
    Member
    Posted 3 years ago #

    Cool! Definitely post back here. I'll be looking for it. Thanks so much!

  4. elianab
    Member
    Posted 3 years ago #

    I'm looking for the same fix, so I'm glad you're working on it. It seems like I got this error awhile ago, though I don't remember for sure. I'm surprised there aren't more posts about it.

  5. pavy
    Member
    Posted 3 years ago #

    Ok...I submitted the new plugin to WordPress. It'll take a few days probably. The name of the plugin is WordPress Firewall 2. I'll post the link to it here, once it gets accepted and uploaded. It's still the same plugin, pretty much, the changes are:

    * Fixed known bugs
    * Added plain text email option
    * IP of plugin activator added by default
    * Other small, miscellaneous updates.

    And I'll be maintaining it.

  6. prcheney
    Member
    Posted 3 years ago #

    thank you thank you thank you.

  7. pavy
    Member
    Posted 3 years ago #

  8. Melowout
    Member
    Posted 3 years ago #

    I've tried firewall-2 and rec'd the same warning message - which was submitted 2 days ago (11-15-10). Pavy is working on it so stay tuned for the solution. :)

  9. elianab
    Member
    Posted 3 years ago #

    I was using WordPress Firewall, and got the error message. I'm now using Firewall 2, and I haven't gotten the error message. So Firewall 2 is working for me.

  10. wigglepit
    Member
    Posted 3 years ago #

    I switched to Firewall 2 and still get the same message. Has there been a fix for it yet? Here is the error:

    Warning: unserialize() expects parameter 1 to be string, array given in /public_html/blog/wp-content/plugins/wordpress-firewall-2/wordpress-firewall-2.php on line 567

    Thanks :-)

Topic Closed

This topic has been closed to new replies.

About this Topic